// Title

// Title Header

.title_header {
  @include title();
  font-size: 72px;
  text-decoration: none;
  text-transform: capitalize;

  @media (min-width: $mobile-min) and (max-width: $tablet-min) {
    padding-left: 0px;
    font-size: 45px;
    line-height: 60px;
  }
  @media (min-width: $tablet-min) and (max-width: $tablet) {
    padding-left: 25px;
    font-size: 52px;
    line-height: 60px;
  }

  @media (min-width: $tablet) and (max-width: $laptop) {
    font-size: 52px;
  }
}

.title_description {
  @include title();
  @include text-overflow();
  font-size: 38px;
  text-transform: initial;
  max-width: 450px;
  margin-top: 47px;

  @media (min-width: $mobile-min) and (max-width: $tablet-min) {
    padding-left: 0px;
    font-size: 20px;
    line-height: 32px;
    margin-top: 10px;
  }
  @media (min-width: $tablet-min) and (max-width: $tablet) {
    padding-left: 25px;
    font-size: 28px;
    line-height: 32px;
    margin-top: 30px;
  }
}

// Title Btn Header

.btn-title {
  @include title($font-f: $font-primary);
  font-size: 16px;
  margin-top: 27px;
  display: block;

  @media (min-width: $mobile-min) and (max-width: $tablet-min) {
    margin: 40px auto 77px;
  }

  @media (min-width: $tablet-min) and (max-width: $tablet) {
    margin-left: 25px;
  }
}

// Presents

.title_presents {
  text-align: start;
  font-size: 56px;
  line-height: 64px;
  @include title();
  margin-bottom: 40px;

  @media (min-width: $mobile-min) and (max-width: $tablet-min) {
    font-size: 35px;
    line-height: 40px;
    text-align: center;
  }
  @media (min-width: $tablet-min) and (max-width: $tablet) {
    font-size: 35px;
    line-height: 60px;
    margin-bottom: 25px;
  }
  @media (min-width: $laptop) and (max-width: $desktop) {
    font-size: 45px;
  }
}

.title_tab_container {
  text-align: start;
  @include title();
  margin-bottom: 40px;
  font-size: 38px;

  @media (min-width: $mobile-min) and (max-width: $tablet) {
    font-size: 28px;
    line-height: 32px;
  }
}

// Tab Title Box

.tab_title-box {
  text-align: start;
  @include title();

  .tab_title {
    font-size: 42px;
    margin-bottom: 40px;
    line-height: 48px;

    @media (min-width: $mobile-min) and (max-width: $tablet) {
      margin-bottom: 30px;
    }
  }

  p {
    @include title($font-f: $font-primary);
    @include text-overflow($webkit-l-c: 6);
    font-size: 28px;
    line-height: 32.8px;
    width: 300px;
  }
}

// Title_form-footer

.title_form-footer {
  text-align: start;
  @include title();
  font-size: 56px;
  line-height: 64px;
  margin-bottom: 30px;

  @media (min-width: $mobile-min) and (max-width: $mobile) {
    font-size: 43px;
  }

  @media (min-width: $mobile) and (max-width: $tablet) {
    font-size: 52px;
    line-height: 60px;
  }
}

// Cloud Text

.cloud_text {
  text-align: start;
  @include title();
  color: $secondary-color;
  font-size: 18px;
  line-height: 20px;
  @include text-overflow($webkit-l-c: 3);
}
